Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

Overview
ScheduleShipmentsBundlesRevisits
Work OrdersLogistics

Schedule

Manage work order scheduling and ETAs.


Schedule & ETA

Manage the when and timing of work orders.

Update Schedule

PUT /workorders/{id}/schedule

Provider must arrive at a specific time:

{
  "service_window": {
    "mode": "exact",
    "start": { "utc": "2024-01-15 09:00:00" }
  }
}

Provider can arrive anytime within a window:

{
  "service_window": {
    "mode": "between",
    "start": { "utc": "2024-01-15 09:00:00" },
    "end": { "utc": "2024-01-15 17:00:00" }
  }
}

Schedule Modes

ModeDescription
exactMust arrive at specific time
betweenArrival window (e.g., 9am-5pm)
asapAs soon as possible

Provider ETA

Providers signal their expected arrival time:

POST /workorders/{id}/eta

{
  "eta": { "utc": "2024-01-15 09:30:00" },
  "notes": "Traffic is light, arriving early"
}

Get Schedule Details

GET /workorders/{id}/schedule

{
  "service_window": {
    "mode": "between",
    "start": { "utc": "2024-01-15 09:00:00" },
    "end": { "utc": "2024-01-15 17:00:00" }
  },
  "provider_eta": {
    "utc": "2024-01-15 10:00:00"
  },
  "time_zone": "America/Chicago"
}

All times are in UTC. Convert to local time zone for display using the time_zone field.

Related

  • Revisits - Return visits
  • Workflow - Check-in/check-out

Last updated on

Contacts

Manage site contacts for work orders.

Shipments

Track parts and equipment shipping to/from job sites.

On this page

Schedule & ETA
Update Schedule
Schedule Modes
Provider ETA
Get Schedule Details
Related